Subject: RE: bug#7064: eps files in lispintro directory are mostly invalid

From: Michael Gilson <[email-masked]>
Date: Mon, 20 Sep 2010 00:49:13 -0700

I am sorry to report that it is a little more complicated than the Magic you suggested.  Adding the magic solves the problem in the cons-1.eps file when loaded with Ghostscript.  I have been using GIMP to call Ghostscript, and that chain of programs works, so far as I have tested.

I have some other eps viewers (EPS Viewer and IrfanView) that still can't read the eps file, even with the corrected magic.  They seem to think that it is zero by zero size.

You have solved the bug, however.  Thanks.

Michael Gilson [On the road to work each day                     Where the tardy drivers pray                     And the smog comes up like thunder                     Out of Burbank, 'cross the way.]

> To: [email-masked]
> CC: [email-masked]
> Subject: Re: bug#7064: eps files in lispintro directory are mostly invalid
> From: [email-masked]
> Date: Sun, 19 Sep 2010 15:08:53 -0400
> 
> Michael Gilson wrote:
> 
> > I tried to read cons-1.eps and Ghostscript couldn't preview or load
> > the file. The same happens with every other eps in the directory,
> > except for drawers.eps, which loads fine.
> 
> The versions in the Emacs repository render fine for me on GNU/Linux,
> using `gv 3.7.1', and it does not look like they have changed since
> Emacs 22.
> 
> For all except drawers.eps, the bounding box seems not to be detected
> correctly, leaving an A4 (for me) sized page with the image at the
> top-left. Depending on your default GV zoom, you may be faced with an
> apparently blank page at startup.
> 
> The difference seems to be caused by the missing "%!PS-Adobe-3.0 EPSF-3.0"
> magic in the first line of every file except drawers.eps. If I add
> this, the bounding box is correctly detected. Does it work for you?
> 
> There is a comment in all the files "Due to bugs in Transcript, the
> 'PS-Adobe-' stuff is omitted from line 1". I don't know what this
> means. If it was just a bug with the program used to create these
> images, I don't know why the author didn't just add that line by hand.
> 
> 
> > In GNU Emacs 22.3.1 (i386-mingw-nt6.0.6002)
> >  of 2008-09-06 on SOFT-MJASON